Empty Attribute Table if layer in different CRS than project

2011-11-13 07:36 AM - alobo -

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: ubuntu 10.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14444

Description

Having On the Fly Reprojection activated, the Attribute Table of a

layer that is on a different CRS than the project is displayed as

empty

(while Styling according to values in the table actually works). Using

Ubuntu 10.04 LTS and qgis 1.7.1.

On the attached picture, the empty table corresponds to the layer on Geographic coordinates WGS84,

while the populated table corresponds to the same layer having been reprojected as Google Mercator

through Save As,,, The CRS of the project is Google Mercator.

Confirmed on ubuntu 10.04 only

Agus

History

#1 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#2 - 2011-12-16 10:55 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#3 - 2011-12-24 12:58 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Priority changed from 6 to Normal

- Status changed from Open to Feedback

Hi Agus,

I tested to try replicate the issue, but I wasn't able. Sounds like a local problem or something that may have gone in more recent release. Please give it a try

and report back, eventually attaching sample data and exact steps to replicate.

#4 - 2012-01-12 05:39 AM - stefano nardone

I have the same malfunction added by Agus, and can confirm that it happens also now with Version 1.7.3, and from several past versions too (can't be able

to say if ever worked for me in the past or not, from my memory it always worked in this way).

Working on Windows XP.
#5 - 2012-01-12 05:44 AM - Jürgen Fischer

Giovanni Manghi wrote:

I tested to try replicate the issue, but I wasn't able. Sounds like a local problem or something that may have gone in more recent release. Please give

it a try and report back, eventually attaching sample data and exact steps to replicate.

That probably only happens when you set the attribute table to "Show features in current canvas".  There OTFR was not considered - fixed in

commit:39e4c163c9bdeb8a7ee5df0a59bb5d37a2985540 (master).

#6 - 2012-01-13 02:31 AM - stefano nardone

Thank you Jürgen, that is! unselecting "Show features in current canvas" let see the attribute table content also when reprojected.

#7 - 2012-01-13 02:53 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to fixed

Files

att_tableCRSonthefly1.jpeg 384 KB 2011-11-13 alobo -

2024-03-13 2/2


